<?php
 
 
 

namespace PhpWA\Protocol\Proto\ContextInfo;

use UnexpectedValueException;




class ForwardOrigin
{
    


    const UNKNOWN = 0;
    


    const CHAT = 1;
    


    const STATUS = 2;
    


    const CHANNELS = 3;
    


    const META_AI = 4;
    


    const UGC = 5;

    private static $valueToName = [
        self::UNKNOWN => 'UNKNOWN',
        self::CHAT => 'CHAT',
        self::STATUS => 'STATUS',
        self::CHANNELS => 'CHANNELS',
        self::META_AI => 'META_AI',
        self::UGC => 'UGC',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

